summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author nomnombtc <nomnombtc@arcor.de>2020-09-19 00:33:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-09-19 00:33:35 +0700
commita7564bd51f3055e965ca559c165a198999e91bed (patch)
treed94bacd0cf1afca316067c62914cf3180ac41003 /python
parent49625f5aff5e83cc1cc3afc091fea9de74819abb (diff)
downloadslackbuilds-a7564bd51f3055e965ca559c165a198999e91bed.tar.gz
slackbuilds-a7564bd51f3055e965ca559c165a198999e91bed.tar.xz
python/python-bitstring: Added (binary data analysis library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/python-bitstring/README8
-rw-r--r--python/python-bitstring/python-bitstring.SlackBuild92
-rw-r--r--python/python-bitstring/python-bitstring.info10
-rw-r--r--python/python-bitstring/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/python/python-bitstring/README b/python/python-bitstring/README
new file mode 100644
index 0000000000..b0ab1e2cfa
--- /dev/null
+++ b/python/python-bitstring/README
@@ -0,0 +1,8 @@
+bitstring is a pure Python module designed to help make the creation and
+analysis of binary data as simple and natural as possible.
+
+Bitstrings can be constructed from integers (big and little endian), hex,
+octal, binary, strings or files. They can be sliced, joined, reversed,
+inserted into, overwritten, etc. with simple functions or slice notation.
+They can also be read from, searched and replaced, and navigated in,
+similar to a file or stream.
diff --git a/python/python-bitstring/python-bitstring.SlackBuild b/python/python-bitstring/python-bitstring.SlackBuild
new file mode 100644
index 0000000000..602d11b972
--- /dev/null
+++ b/python/python-bitstring/python-bitstring.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for python-bitstring
+
+# Copyright 2020 nomnombtc <nomnombtc@arcor.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=bitstring
+PRGNAM=python-$SRCNAM
+VERSION=${VERSION:-3.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.rst release_notes.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/python-bitstring/python-bitstring.info b/python/python-bitstring/python-bitstring.info
new file mode 100644
index 0000000000..20e4ff93a6
--- /dev/null
+++ b/python/python-bitstring/python-bitstring.info
@@ -0,0 +1,10 @@
+PRGNAM="python-bitstring"
+VERSION="3.1.7"
+HOMEPAGE="https://github.com/scott-griffiths/bitstring"
+DOWNLOAD="https://github.com/scott-griffiths/bitstring/archive/bitstring-3.1.7/bitstring-3.1.7.tar.gz"
+MD5SUM="e7f5e81fa732dc0effa88ba949f443df"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="nomnombtc"
+EMAIL="nomnombtc@arcor.de"
diff --git a/python/python-bitstring/slack-desc b/python/python-bitstring/slack-desc
new file mode 100644
index 0000000000..134507c2f0
--- /dev/null
+++ b/python/python-bitstring/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-bitstring: python-bitstring (binary data analysis library)
+python-bitstring:
+python-bitstring: bitstring is a pure Python module designed to help make the creation
+python-bitstring: and analysis of binary data as simple and natural as possible.
+python-bitstring:
+python-bitstring: Bitstrings can be constructed from integers (big and little endian),
+python-bitstring: hex, octal, binary, strings or files. They can be sliced, joined,
+python-bitstring: reversed, inserted into, overwritten, etc. with simple functions or
+python-bitstring: slice notation. They can also be read from, searched and replaced,
+python-bitstring: and navigated in, similar to a file or stream.
+python-bitstring: